PunBB 1.x Profile.PHP User Profile Edit Module SQL Injection Vulnerability

2005-07-08T00:00:00
ID EDB-ID:25957
Type exploitdb
Reporter Stefan Esser
Modified 2005-07-08T00:00:00

Description

PunBB 1.x Profile.PHP User Profile Edit Module SQL Injection Vulnerability. Webapps exploit for php platform

                                        
                                            source: http://www.securityfocus.com/bid/14195/info

PunBB is affected by a SQL injection vulnerability. This issue is due to a failure in the application to properly sanitize user-supplied input through the user profile edit module of the 'profile.php' script before using it in a SQL query.

Successful exploitation could result in a compromise of the application, disclosure or modification of data, or may permit an attacker to exploit vulnerabilities in the underlying database implementation.

This issue may be successfully exploited to gain administrative access to a vulnerable forum.

PunBB 1.2.5 and prior versions are vulnerable. 

Injecting the following can allow the attacker to gain administrative privileges:

temp[0]=group_id=1